v1.0
put
/ec-site-svc/rest/v1.0/organizations/deleteOrganization/{id}
Removes an organization by organization ID with a reason.
Request
Path Parameters
-
id(required): string
ID of an organization.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- application/json
Root Schema : ContactOrganizationDeleteReasonDto
Type:
objectTitle:
ContactOrganizationDeleteReasonDtoRequest carrying the reason to delete an entity.
Show Source
-
comment: string
Title:
CommentMinimum Length:0Maximum Length:2048Additional comment captured for the audited update.Example:Association adjusted after data reconciliation. -
reason: string
Title:
ReasonMinimum Length:0Maximum Length:255Reason provided for the audited update.Example:Protocol update requested by study operations. -
reasonForDelete: string
Title:
ReasonForDeleteReason explaining why the delete operation is requested.Example:No longer active
Examples
Back to Top
Response
Supported Media Types
- application/json
204 Response
Successful operation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples
400 Response
Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples